Bug 77647 - SMRSH security issues
Summary: SMRSH security issues
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: sendmail   
(Show other bugs)
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-11 13:00 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-30 19:32:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:259 normal SHIPPED_LIVE Low: sendmail security update 2003-02-07 05:00:00 UTC

Description Mark J. Cox 2002-11-11 13:00:49 UTC
SMRSH (the SendMail Restricted SHell) is a /bin/sh replacement for
Sendmail. It provides the ability to limit the set of executable programs
available to Sendmail.

A bug in the version of smrsh packaged as part of Sendmail 8.12.6 and
8.11.6 allows attackers to bypass shrsh's intended restrictions. This
can be done by inserting additional commands after "||" or "/" characters,
which are not properly filtered or verified. A sucessful attack would
allow an attacker who has a local account on a system to execute arbitrary
binaries as themselves by utilizing their .forward file.

Because sendmail as shipped by Red Hat is not configured to use smrsh,
this issue only affects Red Hat Linux Advanced Server users who have
customized their sendmail configuration to use smrsh.

Comment 1 Mark J. Cox 2003-01-30 19:32:16 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-259.html



Note You need to log in before you can comment on or make changes to this bug.